Uploaded image for project: 'SignServer'
  1. SignServer
  2. DSS-792

Upgrade to CESeCore from EJBCA 6.4.x

    Details

    • Epic Link:
    • Sprint:
      SignServer-Sprint 10, SignServer-Sprint 11, SignServer-Sprint 12, SignServer-Sprint 13

      Description

      When there is a stable 6.4 branch in EJBCA, upgrade CESeCore.

      [x] Add the new JAR-files
      [x] Remove the old JAR-files, updates 12_cesecore.properties, pom.xml
      [x] Try to compile, fix compilation errors
      [x] Try to deploy and find out what needs to change, ie what to filter out. What mock implementations to add.
      [x] Try to run the tests
      [x] Manually test AdminGUI, query audit log, demo signing etc
      [x] Check what the dependencies and their version was in fact used in 6.4.1 and possibly use the same versions or later

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              markus Markus Kilås
              Reporter:
              markus Markus Kilås
              Verified by:
              Marcus Lundblad
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 1 week
                  1w
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 1 day, 26 minutes Time Not Required
                  1d 26m